
Foreman - Bug #2495

Paginator does not properly pluralize when more than one organization exists.

05/13/2013 01:55 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Internationalization   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Description of problem:

If more than one org exists, and user goes to org view in foreman, the counter on the org view reads incorrectly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

1.  Create a new org in katello, "Second_Org"

2.  Navigate to Org view in /foreman

3.  View summary box below the org list

Actual results:

Displaying all 2 Organization

Expected results:

Displaying all 2 Organization(s)

Additional info:

See https://bugzilla.redhat.com/show_bug.cgi?id=961595

Related issues:

Has duplicate Foreman - Bug #2534: paginator has i18n issues Duplicate 05/21/2013

Associated revisions

Revision 1bf7cc35 - 06/04/2013 04:36 AM - Amos Benari

fixed #2534 fixes #2495 paginator has i18n issues

Revision ce81cfda - 06/04/2013 01:06 PM - Amos Benari

fixed #2534 fixes #2495 paginator has i18n issues

(cherry picked from commit 1bf7cc358e00092d2cee38cc83cb753ed31ffa89)

History

#1 - 05/13/2013 02:07 PM - Bryan Kearney

- Target version changed from Bug scrub to 1.3.0

#2 - 05/21/2013 12:05 PM - Dominic Cleal

There are a number of issues with will_paginate, as both the strings we pass to it (i.e. model names, "Selected" etc) need translation with

pluralisation, as do the strings it uses internally.

In case it helps the next person, I was looking into the internal strings it uses, which are based on Rails i18n (we use gettext_i18n_rails instead).  I
was trying to extract them with gettext by adding the i18n keys to a ruby file underneath locale/, which the extractor would then find, e.g.

# TRANSLATORS: &#8592; Previous

N_('will_paginate.previous_label')

 And also adding the English to the en/foreman.po file.

It didn't work though with pluralisation in the way I expected and I didn't solve this at the time.  The plural support had only just been added to the

Rails i18n to gettext_i18n_rails bridge inside the latter project, so note that you need the very latest version I think for it to even work.  I was trying to

do this:

# TRANSLATORS: 0: "No %{model} found" 

# 1: "Displaying 1 %{model}" 

# 2+: "Displaying all %{count} %{model}" 

Nn_('will_paginate.page_entries_info.single_page', 'will_paginate.page_entries_info.single_page.plural')

 And then adding the originals to en/foreman.po again.

#3 - 05/21/2013 12:05 PM - Dominic Cleal

- Subject changed from Foreman UI does not properly pluralize when more than one organization exists. to Paginator does not properly pluralize when

more than one organization exists.

#4 - 05/28/2013 04:08 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Amos Benari

https://github.com/theforeman/foreman/pull/635

#5 - 06/04/2013 05:57 AM - Dominic Cleal

- Target version changed from 1.3.0 to 1.2.0

#6 - 06/04/2013 06:17 AM - Amos Benari

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1bf7cc358e00092d2cee38cc83cb753ed31ffa89.
